Bug 168174 - Review request: perl-Test-ClassAPI - Test::ClassAPI Perl module
Review request: perl-Test-ClassAPI - Test::ClassAPI Perl module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Test-Clas...
:
Depends On: 168173
Blocks: FE-ACCEPT 168175 168187 168213
  Show dependency treegraph
 
Reported: 2005-09-13 04:22 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 03:22:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-13 04:22:08 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Test-ClassAPI.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Test-ClassAPI-1.02-1.src.rpm

Description:
Provides basic first-pass API testing for large class trees
Comment 1 Paul Howarth 2005-09-14 03:48:47 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, text included
- spec written in English and is legible
- sources match upstream
- package builds OK on FC4 and in mock for FC3 (i386)
- BR's OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed
- no scriptlets

Not sure about including the README, which appears to be a plain-text
formatted version of the manpage. Not a blocker though.

Approved.

Note You need to log in before you can comment on or make changes to this bug.